<?php get_header();
wp_reset_query(); ?>
<?php

$images = get_field( 'slider', 'options' );
if ( $images ): ?>
    <section class="slider hidden-xs">
        <div id="carousel-example-generic" class="carousel slide">


            <!-- Wrapper for slides -->
            <div class="carousel-inner" role="listbox">
				<?php foreach ( $images as $image ): ?>

                    <div class="item">
                        <img src="<?php echo $image ['url']; ?>" alt="<?php echo bloginfo( 'name' ); ?>"
                             class="slider-main-bg">
                        <div class="carousel-caption">
                            <div class="img-centered" data-animation="animated rotateIn">
                                <img src="<?php echo IMAGES; ?>/header-logo.png" alt=""
                                     data-animation="animated zoomIn">
                                <div class="title-1" data-animation="animated fadeInLeft">رويال هوم</div>
                                <div class="title-2" data-animation="animated fadeInRight">اكتشف الرفاهية</div>
                            </div>

                        </div>

                    </div>
				<?php endforeach; ?>


            </div><!-- /.carousel-inner -->

            <!-- Controls -->
            <a class="left carousel-control" href="#carousel-example-generic" role="button" data-slide="prev">
                <span class="glyphicon glyphicon-chevron-left" aria-hidden="true"></span>
                <span class="sr-only">Previous</span>
            </a>
            <a class="right carousel-control" href="#carousel-example-generic" role="button" data-slide="next">
                <span class="glyphicon glyphicon-chevron-right" aria-hidden="true"></span>
                <span class="sr-only">Next</span>
            </a>
        </div>
        <!-- /.carousel -->
    </section>
<?php endif; ?>

<?php $productsSections = get_field( 'products-sections', 'options' );

if ( $productsSections ) : ?>
    <section class="main-products-home">
        <div class="container">
            <div class="main-products-wrapper">
                <div class="row">

                    <div class="col-md-6 col-sm-12 no-padding">
						<?php $firstSection = $productsSections[0]; ?>
                        <div class="single-home-product big-size-product wow zoomIn">
                            <a href="<?php echo get_term_link( $firstSection ); ?>">
								<?php $thumb_id = get_woocommerce_term_meta( $firstSection->term_id, 'thumbnail_id', true );; ?>
                                <img src=" <?php echo wp_get_attachment_url( $thumb_id ); ?>" alt=""
                                     class="img-responsive">
                                <div class="cover"><h3><?php echo $firstSection->name; ?></h3></div>
                            </a>
                        </div>
                    </div>

                    <div class="col-md-6 col-sm-12 no-padding">
                        <div class="clearfix">
							<?php $i          = 0;
							$c                = 0;
							$productsSections = array_slice( $productsSections, 1 );
							foreach ( $productsSections as $productsSection ): ?>

                                <div class="col-md-6 col-sm-6 no-padding wow zoomIn"
                                     data-wow-delay="0.<?php echo $c ++; ?>s">
                                    <div class="single-home-product">
                                        <a href="<?php echo get_term_link( $productsSection ); ?>">

											<?php $thumb_id = get_woocommerce_term_meta( $productsSection->term_id, 'thumbnail_id', true );
											if ( $thumb_id ) :?>
                                                <img src=" <?php echo wp_get_attachment_url( $thumb_id ); ?>"
                                                     alt="<?php echo $productsSection->name; ?>"
                                                     class="img-responsive">
											<?php else : ?>
                                                <img src="<?php echo IMAGES; ?>/no-img.png"
                                                     alt="<?php echo $productsSection->name; ?>">
											<?php endif; ?>
                                            <div class="cover"><h3><?php echo $productsSection->name; ?></h3></div>
                                        </a>
                                    </div>
                                </div>
								<?php $i ++;
								if ( $i == 6 ) {
									break;
								}
							endforeach; ?>
                        </div>
                    </div>

                </div>
            </div>

        </div>
    </section>
<?php endif; ?>

<section class="welcome">
    <div class="container">
        <div class="row">
            <div class="col-md-8">
                <h4 class="wow fadeInDown"><?php the_field( 'about-title', 'options' ); ?></h4>
                <p class="wow fadeInUp"><?php the_field( 'about-txt', 'options' ); ?></p>

            </div>
            <div class="col-md-4 hidden-sm hidden-xs">
                <img src="<?php the_field( 'about-img', 'options' ); ?>" alt="" class="img-responsive wow fadeInLeft">
            </div>
        </div>
    </div>
</section>


<section id="materials" class="home-latest-products">
    <div class="container">
        <div class="row">
            <div class="col-md-6">
                <h3><?php the_field( 'latest-title', 'options' ); ?></h3>
            </div>
            <div class="col-md-6 hidden-sm hidden-xs">
                <div class="latest-products-img">
                    <img src="<?php the_field( 'latest-img', 'options' ); ?>"
                         alt="<?php the_field( 'latest-title', 'options' ); ?>" class="img-responsive center">

                </div>
            </div>
        </div>
		<?php $latestSections = get_field( 'latest-sections', 'options' ); ?>

		<?php $latestProducts = new WP_Query( array(
			'post_type'      => 'product',
			'posts_per_page' => 20,
			'tax_query'      => array(
				array(
					'taxonomy' => 'product_cat',
					'field'    => 'term_id',
					'terms'    => $latestSections,
				)
			)
		) );


		?>


        <div class="matirials">

            <ul class="list-inline products-home-slider">
				<?php while ( $latestProducts->have_posts() ) : $latestProducts->the_post(); ?>
                    <li><a href="<?php the_permalink(); ?>"><span class="over">
                                <?php the_title(); ?>
                                <strong class="block">
                                  <?php global $woocommerce;
                                  $currency = get_woocommerce_currency_symbol();
                                  $price    = get_post_meta( get_the_ID(), '_regular_price', true );
                                  $sale     = get_post_meta( get_the_ID(), '_sale_price', true );
                                  ?>


                                  <?php if ( $sale ) : echo $sale . $currency; else : echo $price . $currency; endif; ?>
                                </strong></span><img
                                    src="<?php the_post_thumbnail_url( 'medium' ); ?>" alt="<?php the_title(); ?>"></a>
                    </li>
				<?php endwhile;
				wp_reset_query(); ?>
            </ul>
        </div>
    </div>
</section>

<section class="clients-logos">

    <div class="container">
        <div class="sec-title">
            <h5><?php _e( 'بعض عملائنا الكرام', 'alpha' ); ?></h5>
        </div>
        <div class="clients">
			<?php $clients = new WP_Query( array(
				'post_type'      => 'clients',
				'posts_per_page' => 20

			) ); ?>
			<?php while ( $clients->have_posts() ) : $clients->the_post(); ?>

                <div class="single-client-logo">
                    <img src="<?php the_post_thumbnail_url( 'medium' ); ?>" alt="<?php the_title(); ?>">
                </div>
			<?php endwhile;
			wp_reset_query(); ?>
        </div>
    </div>
</section>
<?php get_footer(); ?>


